Labeling
List labeling results
Page through teacher labels for review before creating a dataset.
GET
/
v1
/
labeling
/
jobs
/
{job_id}
/
results
List labeling results
curl --request GET \
--url https://console.sqwish.ai/v1/labeling/jobs/{job_id}/results \
--header 'Authorization: Bearer <token>'import requests
url = "https://console.sqwish.ai/v1/labeling/jobs/{job_id}/results"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://console.sqwish.ai/v1/labeling/jobs/{job_id}/results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"index": 123,
"context": "<string>",
"decisions": [
{
"id": "<string>",
"question": "<string>",
"kind": "single",
"outcomes": "<unknown>",
"rubric": [
"<unknown>"
],
"weights": {},
"costs": {},
"abstain": {
"min_probability": 0.5,
"cost": 123
}
}
],
"teachers": [
{
"model": "<string>",
"labels": {},
"error": "<string>"
}
],
"valid": true,
"agreement": true,
"targets": {},
"error": "<string>"
}
],
"total": 123,
"offset": 123,
"limit": 123
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": [
{
"path": [
"<string>"
],
"message": "<string>",
"type": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": [
{
"path": [
"<string>"
],
"message": "<string>",
"type": "<string>"
}
]
}
}Authorizations
Create an API key in the console. Required when accounts are enabled.
Path Parameters
Query Parameters
Required range:
x >= 0Required range:
1 <= x <= 200List labeling results
curl --request GET \
--url https://console.sqwish.ai/v1/labeling/jobs/{job_id}/results \
--header 'Authorization: Bearer <token>'import requests
url = "https://console.sqwish.ai/v1/labeling/jobs/{job_id}/results"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://console.sqwish.ai/v1/labeling/jobs/{job_id}/results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"index": 123,
"context": "<string>",
"decisions": [
{
"id": "<string>",
"question": "<string>",
"kind": "single",
"outcomes": "<unknown>",
"rubric": [
"<unknown>"
],
"weights": {},
"costs": {},
"abstain": {
"min_probability": 0.5,
"cost": 123
}
}
],
"teachers": [
{
"model": "<string>",
"labels": {},
"error": "<string>"
}
],
"valid": true,
"agreement": true,
"targets": {},
"error": "<string>"
}
],
"total": 123,
"offset": 123,
"limit": 123
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": [
{
"path": [
"<string>"
],
"message": "<string>",
"type": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": [
{
"path": [
"<string>"
],
"message": "<string>",
"type": "<string>"
}
]
}
}